Fork me on GitHub

Before Next ADI a network/Multisite installation has not been officially supported so we do not automatically import any settings from any site of your WordPress network installation.

You as a Super Admin should follow these steps:

  • Deactivate any ADI 1.x installation in any of your network sites
  • Install Next ADI in your Network Dashboard
  • On Network Dashboard > Plugins select the link Download ADI v1 configuration below the Next Active Directory Integration plug-in
  • Based upon the existing configurations you have to add one or multiple ADI profiles. Please read carefully the Multisite Configuration section
  • Assign the sites of your network to their belonging ADI profile
  • Notify the administrators of the sites about the new version of ADI and their behavior

Why is automatically migration not supported?

The short answer is: There are too much corner cases in which configuration settings could not be automatically migrated. Because of the expected effort to implement a working solution for everyone we decided to not implement an automatically migration.

With Next ADI we want to make a clean cut between the existing, dirty solutions of network-wide (since ADI 1.1.6) and a site specific (prior ADI 1.1.6) configuration. The concept of Profiles combines both approaches in a way which is future proof and can be used in every Active Directory environment.